out_Multivent Class Reference

`#include <out_multivent.h>`

Inheritance diagram for out_Multivent:

## Public Member Functions

| out_Multivent (Item *_item)
int | Setup () override
| Remove?? Now getChanType used instead. More...
int | Poll (short cause) override
int | Stop () override
int | Status () override
int | getChanType () override
int | getDefaultStorageType ()
int | Ctrl (itemCmd cmd, char *subItem=NULL, bool toExecute=true) override
Public Member Functions inherited from abstractOut
| abstractOut (Item *_item)
virtual int | isActive ()
virtual itemCmd | getDefaultOnVal ()
Public Member Functions inherited from abstractCh
| abstractCh ()
virtual | ~abstractCh ()
virtual int | Anounce ()

## Protected Member Functions

void | getConfig ()
Protected Member Functions inherited from abstractCh
virtual int | publishTopic (const char *topic, long value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, float value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, const char *value, const char *subtopic=NULL)

## Protected Attributes

aJsonObject * | gatesObj
Protected Attributes inherited from abstractOut
Item * | item

## Constructor & Destructor Documentation

## out_Multivent()

out_Multivent::out_Multivent | ( | Item * | _item | ) |

inline

## Member Function Documentation

## Ctrl()

int out_Multivent::Ctrl | ( | itemCmd | cmd,
|  | char * | subItem = `NULL`,
|  | bool | toExecute = `true`
| ) |  |

overridevirtual

Implements abstractOut.

## getChanType()

int out_Multivent::getChanType | ( |  | ) |

overridevirtual

Reimplemented from abstractOut.

## getConfig()

void out_Multivent::getConfig | ( |  | ) |

protected

## getDefaultStorageType()

int out_Multivent::getDefaultStorageType | ( |  | ) |

inlinevirtual

Reimplemented from abstractOut.

## Poll()

int out_Multivent::Poll | ( | short | cause | ) |

overridevirtual

Implements abstractCh.

## Setup()

int out_Multivent::Setup | ( |  | ) |

overridevirtual

Remove?? Now getChanType used instead.

Reimplemented from abstractOut.

## Status()

int out_Multivent::Status | ( |  | ) |

overridevirtual

Reimplemented from abstractCh.

## Stop()

int out_Multivent::Stop | ( |  | ) |

overridevirtual

Reimplemented from abstractCh.

## Member Data Documentation

## gatesObj

aJsonObject* out_Multivent::gatesObj

protected

The documentation for this class was generated from the following files:

- modules/out_multivent.h
- modules/out_multivent.cpp